AMQPQueue::setArguments
AMQPQueue::setName
AMQPQueue
PHP Manual

# AMQPQueue::setFlags

Set the queue flags

### Description

public void AMQPQueue::setFlags ( int `$flags` )

Set the flags on the queue.

### Parameters

`flags`

  A bitmask of flags. This call currently only supports a bitmask of the following flags: `AMQP_DURABLE`, `AMQP_PASSIVE`, `AMQP_EXCLUSIVE`, `AMQP_AUTODELETE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.